{
  "AbilityName": "HeavyStriker_Unagi_Illusion_ShowTips",
  "AbilitySpecials": {
    "AS_TipsIndex": {
      "Value": 0,
      "ValueType": "Integer"
    }
  },
  "AbilityStacking": "Unique",
  "Modifiers": {
    "ShowTipCD_Modifier": {
      "Duration": 10
    }
  },
  "OnAbilityTrigger": [
    {
      "$type": "BranchOperator",
      "Conditions": [
        {
          "$type": "ByHasModifier",
          "ModifierNameList": [
            "ShowTipCD_Modifier"
          ]
        }
      ],
      "FailureActions": [
        {
          "$type": "ShowTipAction",
          "Predicates": [
            {
              "$type": "ByAbilitySpecial",
              "CompareType": "Equal",
              "Param": 0,
              "ParamName": "AS_TipsIndex",
              "ParamType": "Integer"
            }
          ],
          "TipID": 72025053
        },
        {
          "$type": "ShowTipAction",
          "Predicates": [
            {
              "$type": "ByAbilitySpecial",
              "CompareType": "Equal",
              "Param": 1,
              "ParamName": "AS_TipsIndex",
              "ParamType": "Integer"
            }
          ],
          "TipID": 72025054
        },
        {
          "$type": "ShowTipAction",
          "Predicates": [
            {
              "$type": "ByAbilitySpecial",
              "CompareType": "Equal",
              "Param": 2,
              "ParamName": "AS_TipsIndex",
              "ParamType": "Integer"
            }
          ],
          "TipID": 72025055
        },
        {
          "$type": "SetAbilitySpecialAction",
          "ModifyFunction": "Add",
          "Param": 1,
          "ParamName": "AS_TipsIndex",
          "ParamType": "Integer"
        },
        {
          "$type": "SetAbilitySpecialAction",
          "ModifyFunction": "Replace",
          "Param": 0,
          "ParamName": "AS_TipsIndex",
          "ParamType": "Integer",
          "Predicates": [
            {
              "$type": "ByAbilitySpecial",
              "CompareType": "GreaterEqual",
              "Param": 3,
              "ParamName": "AS_TipsIndex",
              "ParamType": "Integer"
            }
          ]
        },
        {
          "$type": "ApplyModifier",
          "ModifierName": "ShowTipCD_Modifier"
        }
      ]
    }
  ]
}